/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $Id: TargetedQuery.java,v 1.4 2001/06/17 09:37:31 burton Exp $
 * $Project: http://sierra.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/sierra/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 *
 * ----
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 *
 */

package org.openprivacy.sierra.query.talon.components;

import java.io.*;
import java.net.*;
import java.util.*;
import org.openprivacy.sierra.util.*;

import talon.*;
import talon.components.*;
import talon.util.net.*;

/**
 * Query which supports specifying the Payload it supports.  The can be used
 * along with a CompositeQuery to target multiple Payloads.
 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: TargetedQuery.java,v 1.4 2001/06/17 09:37:31 burton Exp $
 */
public interface TargetedQuery extends Query, Component { 

    /**
     * Specify the payload that this Query should support.
     *
     * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
     * @version $Id: TargetedQuery.java,v 1.4 2001/06/17 09:37:31 burton Exp $
     */
    public URI getPayloadIdentifier();

    /**
     * @see #getPayloadIdentifier
     * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
     * @version $Id: TargetedQuery.java,v 1.4 2001/06/17 09:37:31 burton Exp $
     */
    public void setPayloadIdentifier( URI payloadIdentifier);
    
}

