/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $Id: SignatureValueCalculator.java,v 1.5 2001/06/17 09:37:37 burton Exp $
 * $Project: http://sierra.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/sierra/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 *
 * ----
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 *
 */

package org.openprivacy.sierra.util;

import java.io.*;
import java.net.*;
import java.security.*;
import java.util.*;
import org.openprivacy.sierra.nym.talon.components.*;
import org.openprivacy.sierra.reputation.talon.components.*;
import org.openprivacy.sierra.util.*;
import talon.*;
import talon.components.*;
import talon.util.net.*;

/**
 * Class which gets the SignatureValue for a given Reputation.  Calculates
 * everything necessary to build a new SignatureValue object. 
 * 
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: SignatureValueCalculator.java,v 1.5 2001/06/17 09:37:37 burton Exp $
 */
public class SignatureValueCalculator {

    public static SignatureValue getSignatureValue( Reputation reputation, NymBuilder nb )
        throws SierraException {

        SignatureValue sv = new SignatureValue();

        NymFunctionProxy nfp = nb.getNymFunctionProxy();
        
        sv.setBytes( nfp.sign( reputation ) );
        
        sv.setPublicKey( nb.getNym().getPublicKey() );
        
        return sv;
    }
    
}
